// Copyright (C) 2005-2007 Stefan Bauer <yoltia-maintain@freenet.de>

// This file is part of Yoltia.
//
// Yoltia is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License Version 2
// as published by the Free Software Foundation.
//    
// Yoltia is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Yoltia; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

#ifndef SINS_HPP
#define SINS_HPP

#include <qdialog.h>
#include <qimage.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include "../comps/scsizechanger.hpp"

class SIns : public QDialog {
  Q_OBJECT
  public :
    SIns(QWidget *parent , QImage *datenAddr , QImage *backupAddr);
  private :
    QImage *data;	//Zeiger auf SPic::bilddaten
    QImage *backup;	//Zeiger auf SPicView::undoList.last()
    QImage clip;	//Bild in der Zwischenablage
    QSpinBox *x;	//Einstellen der X-Position
    QSpinBox *y;	//Einstellen der Y-Position
    SCSizeChanger *sizeChanger;	//Einstellen der Gre (frs Verzerren)
    QCheckBox *resize;	//Bild falls ntig vergrern?
  private slots :
    void createPreview();
  signals :
    void modified();
};

#endif
