// Copyright (C) 2005-2007 Stefan Bauer <yoltia-maintain@freenet.de>

// This file is part of Yoltia.
//
// Yoltia is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License Version 2
// as published by the Free Software Foundation.
//    
// Yoltia is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Yoltia; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

#ifndef SKOMPVS_HPP
#define SKOMPVS_HPP

#include <qdialog.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qimage.h>
#include <qlistbox.h>

class SKompVS : public QDialog {
  Q_OBJECT
  public :
    SKompVS(QWidget *parent , QImage *dataAddr , QImage *backupAddr);
  private :
    QSpinBox *komprimizer;
    QImage *data;	//Zeiger auf SPic::bilddaten
    QImage *backup;
    QListBox *format;
    QLabel *fileSize;
  private slots :
    void createPreview(int komp);
    void changeFormat(int newFormat);
    void quit();
  signals :
    void modified();
};

#endif
