// Copyright (C) 2005-2007 Stefan Bauer <yoltia-maintain@freenet.de>

// This file is part of Yoltia.
//
// Yoltia is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License Version 2
// as published by the Free Software Foundation.
//    
// Yoltia is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Yoltia; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

#ifndef SSIZE_HPP
#define SSIZE_HPP

#include <qdialog.h>
#include <qimage.h>
#include <qlistbox.h>
#include <qcheckbox.h>
#include "../comps/scsizechanger.hpp"

class SSize : public QDialog {
  Q_OBJECT
  public :
    SSize(QWidget *parent , QImage *dataAdr , QImage *backupAdr);
  private :
    QImage *data;
    QImage *backup;
    SCSizeChanger *sizeChanger;
    QCheckBox *stretch;
    QListBox *vAlign;
    QListBox *hAlign;
  private slots :
    void createPreview();
  signals :
    void modified();
};

#endif
