// Copyright (C) 2005-2007 Stefan Bauer <yoltia-maintain@freenet.de>

// This file is part of Yoltia.
//
// Yoltia is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License Version 2
// as published by the Free Software Foundation.
//    
// Yoltia is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Yoltia; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

#include <qapplication.h>
#include <qsettings.h>
#include "smain.hpp"

int main(int argc, char **argv) {
  QApplication a(argc , argv);
  QTranslator qtTr(0 , "qtTr");
  QTranslator yoltiaTr(0 , "yoltiaTr");
  {
    QSettings set;
    qtTr.load(set.readEntry("/Yoltia/Translation/qt")/* , "/"*/);
    yoltiaTr.load(set.readEntry("/Yoltia/Translation/yoltia")/* , "."*/);
  }
  a.installTranslator(&qtTr);
  a.installTranslator(&yoltiaTr);
  SMain main;
  a.setMainWidget(&main);
  main.setCaption(QObject::tr("Yoltia"));
  main.show();
  if (argc > 2) {
      QStringList list;
      for (int i = 1 ; i < argc ; i++)
        list.append(argv[i]);
      main.newPVFromList(list);
    } else
      if (argc == 2)
	main.newPVFromFile(argv[1]);
  return a.exec();
}
