// Copyright (C) 2005-2007 Stefan Bauer <yoltia-maintain@freenet.de>

// This file is part of Yoltia.
//
// Yoltia is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License Version 2
// as published by the Free Software Foundation.
//    
// Yoltia is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Yoltia; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

#ifndef SMAIN_HPP
#define SMAIN_HPP

#include <qvbox.h>
#include <qpopupmenu.h>
#include <qlabel.h>
#include <qguardedptr.h>
#include <qstatusbar.h>
#include "spicview.hpp"
#include "sworkspace.hpp"

class SMain : public QVBox {
  Q_OBJECT
  public :
    SMain();
  private :
    QPopupMenu *pictureMenu;
    QPopupMenu *windowsMenu;
    QPopupMenu *editMenu;
    QPopupMenu *macroMenu;
    SWorkspace *worksp;
    QLabel *browseinfoStatus;
    QLabel *bildparamStatus;
    QLabel *dateiinfoStatus;
    QLabel *zoomStatus;
    QLabel *MPIStatus;
    QLabel *markStatus;
    QGuardedPtr<SPicView> aktPV;
    QStatusBar *statusbar;
  private slots :
    void createPictureMenu();	//Aktualisieren & Erzeugen von Teilen des Dateimen�s
    void createWindowsMenu();
    void createEditMenu();
    void createMacroMenu();
    void createBList();
    void createSlideshow();
    void einstDlg();	//Den Einstellungsdialog erzeugen und anzeigen
    void openDlg();
    void neuDlg();
    void aboutDlg();
    void setPVConnections(QWidget *w);
    void ladeLetzte(int index);
    void hotkeyWrapper(int spec);	//Hotkey an aktPV weiterleiten
    void fullscreen();  //Toggles fullscreen
    void newPVFromClip();       //PicViews erzeugen und deren Ladefunktion aufrufen
  public slots :
    void newPVFromFile(const QString dateipfad);        //called from main.cpp
    void newPVFromList(const QStringList list);
  protected :
    void closeEvent(QCloseEvent *event);
};

inline void SMain::hotkeyWrapper(int spec) {
  if (aktPV)
    aktPV->command(spec);
}

#endif

